org.bouncycastle.asn1.x509

## Class CertificateList

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Encodable
  - - org.bouncycastle.asn1.x509.CertificateList

All Implemented Interfaces:
  DEREncodable

    public class CertificateList
    extends ASN1Encodable

PKIX RFC-2459 The X.509 v2 CRL syntax is as follows. For signature calculation, the data that is to be signed is ASN.1 DER encoded.

     CertificateList  ::=  SEQUENCE  {
          tbsCertList          TBSCertList,
          signatureAlgorithm   AlgorithmIdentifier,
          signatureValue       BIT STRING  }

### Field Summary

### Fields inherited from class org.bouncycastle.asn1.ASN1Encodable

`BER, DER`

### Constructor Summary

Constructors
Constructor and Description
`CertificateList(ASN1Sequence seq)`

### Method Summary

Methods
`static CertificateList` `getInstance(ASN1TaggedObject obj, boolean explicit)`
`static CertificateList` `getInstance(java.lang.Object obj)`
`X509Name` `getIssuer()`
`Time` `getNextUpdate()`
`java.util.Enumeration` `getRevokedCertificateEnumeration()`
`TBSCertList.CRLEntry[]` `getRevokedCertificates()`
`DERBitString` `getSignature()`
`AlgorithmIdentifier` `getSignatureAlgorithm()`
`TBSCertList` `getTBSCertList()`
`Time` `getThisUpdate()`
`int` `getVersion()`
`DERObject` `toASN1Object()`

### Methods inherited from class org.bouncycastle.asn1.ASN1Encodable

`equals, getDEREncoded, getDERObject, getEncoded, getEncoded, hashCode`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CertificateList

    public CertificateList(ASN1Sequence seq)

### Method Detail

#### getInstance

    public static CertificateList getInstance(ASN1TaggedObject obj,
                              boolean explicit)

#### getInstance

    public static CertificateList getInstance(java.lang.Object obj)

#### getTBSCertList

    public TBSCertList getTBSCertList()

#### getRevokedCertificates

    public TBSCertList.CRLEntry[] getRevokedCertificates()

#### getRevokedCertificateEnumeration

    public java.util.Enumeration getRevokedCertificateEnumeration()

#### getSignatureAlgorithm

    public AlgorithmIdentifier getSignatureAlgorithm()

#### getSignature

    public DERBitString getSignature()

#### getVersion

    public int getVersion()

#### getIssuer

    public X509Name getIssuer()

#### getThisUpdate

    public Time getThisUpdate()

#### getNextUpdate

    public Time getNextUpdate()

#### toASN1Object

    public DERObject toASN1Object()

Specified by:
  `toASN1Object` in class `ASN1Encodable`